#!/usr/bin/python
# -*- coding: utf-8 -*-
PYTHONIOENCODING="UTF-8"

'''*
	Copyright (C) 2016 DudeHere

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

*'''

import re
import json
import xbmcgui
from dudehere.routines import *
from dudehere.routines import plugin
from dudehere.routines.windows import BaseWindow
from dudehere.routines.constants import WINDOW_ACTIONS
	
CONTROLS = enum(
			CANCEL=82010,
			TM=82011,
			LISTS=91050,

)
MOVIE_SCRAPERS = ['tpb', 'yts', 'torrentapi', 'torrentdownloads']
TV_SCRAPERS = ['eztv', 'tpb', 'torrentapi', 'torrentdownloads']

class TransmogrifyWindow(BaseWindow):
	selections = []
	def __init__(self, *args, **kwargs):
			BaseWindow.__init__(self)


	def onInit(self):
		
		items = []
		for item in self.episodes:
			display = "%sx%s - %s" % (item['season'], item['number'], item['title'])
			liz = xbmcgui.ListItem(display, iconImage='')
			liz.setProperty("download", "")
			liz.setProperty("episode", str(item['number']))
			items.append(liz)
		self.getControl(CONTROLS.LISTS).addItems(items)
		
	
	def onAction(self, action):
		action = action.getId()
		if action in [WINDOW_ACTIONS.ACTION_PREVIOUS_MENU, WINDOW_ACTIONS.ACTION_NAV_BACK]:
			self._close()
		
		try:
			pass	
				
		except:
			pass
	
	def onClick(self, controlID):
		if controlID == CONTROLS.CANCEL:
				self.close()
		elif controlID == CONTROLS.TM:
			self.selections = []
			for i in xrange(self.getControl(CONTROLS.LISTS).size()):
				liz = self.getControl(CONTROLS.LISTS).getListItem(i)
				if liz.getProperty("download")== "1":
					self.selections.append(int(liz.getProperty("episode")))
				
			
			self.close()
		elif controlID==CONTROLS.LISTS:
			index = self.getControl(CONTROLS.LISTS).getSelectedPosition()
			liz = self.getControl(CONTROLS.LISTS).getSelectedItem()
			download = liz.getProperty("download")== "1"
			if download:
				self.getControl(CONTROLS.LISTS).getListItem(index).setIconImage('')
				self.getControl(CONTROLS.LISTS).getListItem(index).setProperty("download", "")
			else:
				self.getControl(CONTROLS.LISTS).getListItem(index).setIconImage('context/transmogrify.png')
				self.getControl(CONTROLS.LISTS).getListItem(index).setProperty("download", "1")

